# AUTOGENERATED! DO NOT EDIT! File to edit: nbs/00_core.ipynb (unless otherwise specified).

__all__ = ['pokemon_colours_dict', 'load_pokemon_colours', 'PokemonColours', 'get_colormap']

# Cell
import json
from types import SimpleNamespace
from matplotlib.colors import ListedColormap

# Cell
pokemon_colours_dict = json.loads(open('pokepalette/pokemon_colours.json').read())

# Cell
def load_pokemon_colours():
    "Load json file containing HEX pokemon colours"
    return SimpleNamespace(**{pokemon: colour.split(',') for pokemon, colour in pokemon_colours_dict.items()})

# Cell
PokemonColours = load_pokemon_colours()

# Cell
def get_colormap(pokemon: str) -> ListedColormap:
    "Turns a stored colour palette into a matplotlib ListedColormap"
    colours = PokemonColours.__getattribute__(pokemon)
    return ListedColormap(colours)